Subject: bug#39291: M-: history doesn't store erroneous input

From: Federico Tedin <[email-masked]>
Date: Fri, 31 Jan 2020 01:44:34 +0100

> AFAIK they don't depend on Lisp variables, no, so it should be safe to
> move the call to `string_to_object` to after the `unbind_to`.
>
>
>         Stefan

Thanks for the information. In that case, the patch I sent should be the
right fix for this bug.

- Fede